# Mark a note done (or open it again)

`POST /hosting/sites/{id}/pages/{page}/comments/{comment}/resolve` · Rivier · hosting

Mark a note done (or open it again).

- Scope: hosting:write
- Graphql: Mutation.hostingSitePageResolveComment
- Sdk: hosting.sitePage.resolveComment
- Cli: hosting site page resolve comment

## Parameters

- `id` (path, required), string
- `page` (path, required), string
- `comment` (path, required), string

## Request body

`application/json`

```json
{
  "type": "object",
  "properties": {
    "resolved": {
      "type": "boolean"
    }
  },
  "additionalProperties": false
}
```

## Responses

- `200`: Success
- `400`: The request was malformed
- `401`: No valid credential
- `403`: The credential lacks the scope, origin or address
- `429`: Over the key's rate limit; see Retry-After

## Example

```sh
curl -X POST 'https://api.rivier.ai/hosting/sites/{id}/pages/{page}/comments/{comment}/resolve' \
  -H 'Authorization: Bearer $KEY' \
  -H 'Content-Type: application/json' \
  -d '{
  "resolved": false
}'
```
